<html>
<head>
<title>Ogre::Page::PageResponse Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Page.html">Page</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Page_1_1PageResponse.html">PageResponse</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Page::PageResponse Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Page::PageResponse" -->
<p><code>#include &lt;<a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Page_1_1PageResponse-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Page_1_1PageResponse.html#a00c0f62b2e15883610cde72c4fc2932f">PageResponse</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Page_1_1PageResponse.html#ae298d851c4b796bfa888ee80a41b9ba5">pageData</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> friend <br class="typebreak"/>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Page_1_1PageResponse.html#a632404d6cf7cbbfee0a9b8759e2d78ea">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="structOgre_1_1Page_1_1PageResponse.html">PageResponse</a> &amp;r)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00078">78</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a00c0f62b2e15883610cde72c4fc2932f"></a><!-- doxytag: member="Ogre::Page::PageResponse::PageResponse" ref="a00c0f62b2e15883610cde72c4fc2932f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Page_1_1PageResponse.html#a00c0f62b2e15883610cde72c4fc2932f">Ogre::Page::PageResponse::PageResponse</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00085">85</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a632404d6cf7cbbfee0a9b8759e2d78ea"></a><!-- doxytag: member="Ogre::Page::PageResponse::operator&lt;&lt;" ref="a632404d6cf7cbbfee0a9b8759e2d78ea" args="(std::ostream &amp;o, const PageResponse &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Page_1_1PageResponse.html">PageResponse</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00082">82</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae298d851c4b796bfa888ee80a41b9ba5"></a><!-- doxytag: member="Ogre::Page::PageResponse::pageData" ref="ae298d851c4b796bfa888ee80a41b9ba5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a>* <a class="el" href="structOgre_1_1Page_1_1PageResponse.html#ae298d851c4b796bfa888ee80a41b9ba5">Ogre::Page::PageResponse::pageData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00080">80</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgrePage_8h_source.html">OgrePage.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
